<!doctype html>
<html lang="de">
<head>
<meta charset="utf-8">

<title>Php-Tipp: dynamic Layout/ Menue</title>


<link href="Styles/layout.css" rel="stylesheet" type="text/css" />
</head>

<body>

<div class="container">
  <div class="header"><!-- end .header -->
<?php include 'header.php'; ?>
  </div>
  <div class="sidebar1">
<?php include 'nav.php'; ?>
    <p>&nbsp;</p>
    <!-- end .sidebar1 --></div>
  <div class="content">

    <h1>

      <!-- end .content -->Quick Info</h1>
    <p>Es werden verschiedene Bereiche per PHP-Seiten definiert und per <span class="code">include</span> Anweisung auf den einzelnen Seiten eingefügt.</p>
    <p>Das Navigationsmenü ist in der Seite nav.php</p>
    <p>Obwohl auf allen Seiten die gleiche nav.php eingebunden ist, wird dennoch das Navigationselement, welches zur aktuell aufgerufenen Seite gehört, weiß eingefärbt. </p>
    <p>Im Quelltext einer Seite sieht man, dass das  a-Element welches die eigene Seite aufruft  eine Klasse zugewiesen bekommt: <code>class=&quot;aktuell&quot;</code>. Dazu wird zuerst ermittelt wie die aktuelle Seite lautet. Das geschieht indem man in PHP mit <code>$_SERVER[&quot;PHP_SELF&quot;]</code> den Pfad zur aktuellen Datei vom Root Verzeichnis aus ermittelt. Für diese Seite ist es:
    <code><?php echo $_SERVER["PHP_SELF"]?></code></p>
    <p>Dieser String wird mittels <code>explode()</code> in ein Array umgewandelt. </p>
    <p><code>$self = explode(&quot;/&quot;, $_SERVER[&quot;PHP_SELF&quot;)</code>;</p>
    <p>Die einzelnen Arrayelemente  sind die Inhalte zwischen den Schrägstrichen. Das letzte Arrayelement entspricht dem Namen der aktuell aufgerufenen Seite. Diese wird in der Variablen <var><code>$aktSeite</code></var> abgelegt und lautet beispielsweise info.php</p>

      <pre>&#160; $aktSeite = &#160;$self[count($self) - 1];</pre>


    <p>Das Navigationsmenü wird mittels eines verschachtelten Arrays erstellt. In dem Array liegen die urls und die Namen der Seiten. In einer <code>foreach()</code> Schleife wird das Array durchlaufen und überprüft ob die URL aus dem Array der aktuellen Seite <code>$aktSeite </code>entspricht. Ist das der Fall, bekommt die Variable <code>$akt = &quot;class='aktuell'&quot;</code> zugewiesen ansonsten einen leeren String. Diese <code>$akt</code> wird dann dem a Element hinzugefügt</p>
    <pre>
&lt;?php
$self = explode(&quot;/&quot;, $_SERVER[&quot;PHP_SELF&quot;]);
$aktSeite =  $self[count($self) - 1];
$href = [
[&quot;index.php&quot;, &quot;HOME&quot;],
[&quot;dateien.php&quot;, &quot;DATEIEN&quot;],
[&quot;info.php&quot;, &quot;INFO&quot;],
[&quot;hirtenbrief.php&quot;, &quot;HIRTENBRIEF&quot;],
[&quot;impressum.php&quot;, &quot;IMPRESSUM&quot;]
];
echo &quot;&lt;nav&gt;\n&lt;ul&gt;\n&quot;;
    foreach ($href as $ziel) {
    $akt = ($ziel[0] == $aktSeite  ? &quot; class='aktuell'&quot; : &quot;&quot;;
     echo &quot;&lt;li&gt;&lt;a href='$ziel[0]'&quot; . $akt . &quot;&gt;$ziel[1]&lt;/a&gt;&lt;/li&gt;\n&quot;;
      }
echo &quot;&lt;/ul&gt;\n&lt;/nav&gt;&quot;;
?&gt;</pre>
    <p>Die CSS Datei sorgt dafür, dass die Hintergrundfarbe der Klasse &quot;aktuell&quot; eine weiße Hintergrundfarbe bekommt.</p>
<pre>
.aktuell {
  background-color: white;
  color: black;
}</pre>
  </div>
  <div class="footer">
<?php include 'footer.php'; ?>
  <!-- end .footer --></div>
</div>
</body>
</html>